> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Related topics & queries

> Returns both `related_topics` (Knowledge Graph entities with rising/top buckets) and `related_queries` (string queries with rising/top buckets) in a single response.



## OpenAPI

````yaml GET /v1/google/trends/related
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/trends/related:
    get:
      tags:
        - Google Trends
      summary: Related topics & queries
      description: Get related topics and queries for a search term.
      operationId: trends_related_api_v1_trends_related_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Search term
            title: Q
          description: Search term
        - name: geo
          in: query
          required: false
          schema:
            type: string
            default: ''
            title: Geo
        - name: date
          in: query
          required: false
          schema:
            type: string
            default: today 12-m
            title: Date
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrendsRelatedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TrendsRelatedResponse:
      properties:
        rising_topics:
          items:
            $ref: '#/components/schemas/TrendsRelatedItem'
          type: array
          title: Rising Topics
        top_topics:
          items:
            $ref: '#/components/schemas/TrendsRelatedItem'
          type: array
          title: Top Topics
        rising_queries:
          items:
            $ref: '#/components/schemas/TrendsRelatedItem'
          type: array
          title: Rising Queries
        top_queries:
          items:
            $ref: '#/components/schemas/TrendsRelatedItem'
          type: array
          title: Top Queries
        query:
          type: string
          title: Query
      type: object
      required:
        - query
      title: TrendsRelatedResponse
      description: Response for GET /api/v1/trends/related.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrendsRelatedItem:
      properties:
        title:
          type: string
          title: Title
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        topic_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Topic Id
        topic_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Topic Type
      type: object
      required:
        - title
      title: TrendsRelatedItem
      description: A related topic or query.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````